giac (1.9.0.57+dfsg2-2) unstable; urgency=medium

  * Fix failure to build source after successful build (Closes: #1044632).
  * d/clean: Remove autogenerated files.
  * d/source/options: Ignore modified source files.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Wed, 23 Aug 2023 21:03:04 +0300

giac (1.9.0.57+dfsg2-1) unstable; urgency=medium

  * New upstream release.
  * Move to unstable after Debian release.
  * Remove u-version-pari-2.11.patch (fixed in upstream).
  * d/libgiac0.lintian-overrides: Add wildcard to avoid mismatched-override.
                                  Additional false positive spelling errors.
  * d/xcas.lintian-overrides: Additional false positive spelling errors.
  * d/rules: Enable hardening.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Fri, 07 Jul 2023 18:50:03 +0300

giac (1.9.0.43+dfsg2-1) experimental; urgency=medium

  * New upstream release.
  * Add upstream/metadata file.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Mon, 10 Apr 2023 20:28:46 +0300

giac (1.9.0.37+dfsg2-1) experimental; urgency=medium

  * New upstream release.
  * Remove plot-no-uchar.patch (fixed in upstream).
  * Replace libfontconfig1-dev with libfontconfig-dev in build-depends.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Thu, 02 Mar 2023 17:32:05 +0200

giac (1.9.0.35+dfsg2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for not using uchar in plot.h.
    (Closes: #1030687)

 -- Adrian Bunk <bunk@debian.org>  Tue, 07 Feb 2023 01:37:35 +0200

giac (1.9.0.35+dfsg2-1) unstable; urgency=medium

  * New upstream release.
  * Update debian copyright year to 2023.
  * Replace override_dh_auto_clean with execute_before_dh_auto_clean.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Wed, 18 Jan 2023 15:08:19 +0200

giac (1.9.0.33+dfsg2-1) unstable; urgency=medium

  * New upstream release.
  * Update and refresh patches.
  * Bump Standards-Version to 4.6.2.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Wed, 28 Dec 2022 15:05:55 +0200

giac (1.9.0.29+dfsg2-1) unstable; urgency=medium

  * New upstream release.
  * Update and refresh patches.
  * Add patch fix-string-compiler-error.patch to fix FTBFS.
  * Update lintian overrides for giac source, giac-doc, libgiac0, xcas.
    Removes some false positive lintian errors and warnings.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Sat, 05 Nov 2022 13:58:21 +0200

giac (1.9.0.21+dfsg2-1) unstable; urgency=medium

  [ Ileana Dumitrescu ]
  * New upstream release.
  * Add myself as uploader.
  * Add patches define-anyarg.patch and increase-pari-size.patch to
    fix FTBFS with pari 2.15.0 (Closes: #1020436).
    Thanks to sagemath for these patches.
  * Remove configure generated files during dh_auto_clean.
  * Bump standards-version to 4.6.1.
  * Update licensing.

  [ Bo Yu ]
  * Add support for riscv64 (Closes: #1015229).

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Fri, 21 Oct 2022 16:43:11 +0300

giac (1.9.0.19+dfsg2-1) unstable; urgency=medium

  * New upstream release (Closes: #1012057).
  * Remove fix_gcc11.patch (no longer neeeded).
  * Override dh_auto_clean to remove Makefile and avoid build errors.
  * Refresh patches.
  * Update licensing.

 -- Ileana Dumitrescu <ileanadumi95@protonmail.com>  Wed, 13 Jul 2022 15:39:34 +0300

giac (1.7.0.39+dfsg2-1) unstable; urgency=medium

  * New upstream release.
  * Try to make the build reproducible.
  * Annotate giac-doc's dependency on xcas with :any following hinter.
  * Refresh patches.
  * Don't put mkjs.cc in Files-Excluded in d/copyright.
  * Add fix_gcc11.patch to fix compilation.
  * Bump standards-version to 4.6.0.
  * Drop now-unneeded magic for build-reproducibility in d/rules.
  * Add a patch to avoid building the dvi and ps files.
  * Drop the fr documentation (broken upstream).
  * Install the xcas.metainfo.xml file.
  * Update d/copyright and lintian overrides.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 03 Nov 2021 11:47:51 +0100

giac (1.6.0.41+dfsg1-1) unstable; urgency=medium

  * Unmark -dev as Multi-Arch: same following hinter.
  * Run wrap-and-sort for cleaner files.
  * Add missing deps for the -dev package. (Closes: #976067)
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 19 Dec 2020 15:42:07 +0100

giac (1.6.0.31+dfsg1-1) unstable; urgency=medium

  * Drop the larger_pari_mem_size patch (upstreamed).
  * Bump std-vers to 4.5.1.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 22 Nov 2020 21:46:42 +0100

giac (1.6.0.25+dfsg1-3) unstable; urgency=medium

  * Mark the actually supported architectures. (Closes: #855080, #855081)
  * Add patch larger_pari_mem_size to avoid segfaults.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 03 Nov 2020 08:57:20 +0100

giac (1.6.0.25+dfsg1-2) unstable; urgency=medium

  * Install config.h. (Closes: #972827)

 -- Julien Puydt <jpuydt@debian.org>  Mon, 26 Oct 2020 16:44:10 +0100

giac (1.6.0.25+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 11 Oct 2020 09:40:52 +0200

giac (1.6.0.23+dfsg1-2) unstable; urgency=medium

  * Add missing b-dep on python3.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 20 Sep 2020 10:55:49 +0200

giac (1.6.0.23+dfsg1-1) unstable; urgency=medium

  * Update the files excluded list before importing a newer version (hence
   dropping again to dfsg1).
  * New upstream release.
  * Refresh patches.
  * Don't fix the encoding of index files.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 18 Sep 2020 08:49:51 +0200

giac (1.6.0.17+dfsg2-1) unstable; urgency=medium

  * Package new upstream release.
  * Drop the patch to unbreak 32 bits architectures (upstreamed).
  * Drop the patch to force defining DOUBLEVAL on bigendian (upstreamed).
  * Refresh the other patches.
  * Update the files excluded list and associated patch (bump to dfsg2).
  * Update lintian overrides.
  * Update the list of files needing transcoding to unicode.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 14 Sep 2020 17:34:26 +0200

giac (1.6.0.7+dfsg1-2) unstable; urgency=medium

  * Add patch to unbreak 32bits (given by upstream, will
  be in next official).

 -- Julien Puydt <jpuydt@debian.org>  Mon, 13 Jul 2020 21:27:17 +0200

giac (1.6.0.7+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Document split-build-install.patch.
  * Document u-version-pari-2.11.patch.
  * Update the team mailing list address.
  * Remove trailing whitespaces in d/changelog.
  * Drop experimental pari code (upstreamed).
  * Document that rules doesn't require root.
  * Update section for the libgiac0 package.
  * Fix typo in manpage.
  * Bump dh compat to 13.
  * Add workaround for badly encoded files.
  * Add patch to fix typos both in the code and user-text.
  * Drop copyright for an excluded file.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 12 Jul 2020 09:15:43 +0200

giac (1.5.0.87+dfsg1-7) unstable; urgency=medium

  * Really upload to unstable.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 31 May 2020 13:00:08 +0200

giac (1.5.0.87+dfsg1-6) experimental; urgency=medium

  * Uploading to unstable : the experimental pari code is
  accepted upstream, will be in the next official version,
  and fixes an armhf issue. (Closes: #961122)

 -- Julien Puydt <jpuydt@debian.org>  Sun, 31 May 2020 10:33:10 +0200

giac (1.5.0.87+dfsg1-5) experimental; urgency=medium

  * Set the date to the last update in algo.tex so its build becomes
  reproducible.
  * Use experimental pari code to fix locking issues with pari.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 27 May 2020 07:45:47 +0200

giac (1.5.0.87+dfsg1-4) unstable; urgency=medium

  * Add patch to deal correctly with the bigendian situation.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 04 Mar 2020 08:18:55 +0100

giac (1.5.0.87+dfsg1-3) unstable; urgency=medium

  * Re-add code for bigendian in d/rules : not good
   enough yet.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 03 Mar 2020 08:34:07 +0100

giac (1.5.0.87+dfsg1-2) unstable; urgency=medium

  * Remove code for bigendian in d/rules : upstream does it now.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 01 Mar 2020 12:47:28 +0100

giac (1.5.0.87+dfsg1-1) unstable; urgency=medium

  * Update excluded files in d/copyright.
  * New upstream release 1.5.0.87.
  * Drop many patches, update remaining ones.
  * Refresh d/uptream-doc-fr/algo.tex from upstream.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 28 Feb 2020 11:01:14 +0100

giac (1.5.0.85+dfsg1-3) unstable; urgency=medium

  * Rename fix_S390_numerical_noise to fix_bigendian_numerical_noise,
    and use it on all bigendian.
  * Change forum links to new uri following university name change.
  * Drop patch to workaround hevea bugs (now useless).
  * Improve the patch to disable GBASIS_SWAP only on bigendian.
  * Unify the various fixes on checks so it can be proposed upstream.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 13 Feb 2020 14:12:23 +0100

giac (1.5.0.85+dfsg1-2) unstable; urgency=medium

  * Update B.Parisse's email adress (the university changed name!).
  * Add patch to fix building the documentation on S390X.
  * Add patch to fix Groebner basis computation on S390X.
  * Add patch to fix numerical noise in checks on S390X.
  * Enable -DBIGENDIAN on big endian boxes.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 12 Feb 2020 17:59:17 +0100

giac (1.5.0.85+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh packaging:
    - Priority extra is now optional.
    - Quote full text of BSD license in d/copyright
      (the /usr/share/common-licenses/ file is going away)
    - Remove d/compat and use dh-compat 12.
    - Bump std-ver to 4.5.0.
    - Refreshed patches.
    - Add fix_input_parser.patch to fix upstream's code.
    - Refresh d/rules patches.
  * Add myself to uploaders.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 22 Jan 2020 07:47:28 +0100

giac (1.4.9.69+dfsg1-2) unstable; urgency=medium

  * Also patch the test output.

 -- Ximin Luo <infinity0@debian.org>  Wed, 05 Sep 2018 21:45:13 -0700

giac (1.4.9.69+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.
  * Make sure xcas uses the same version of libgiac0.
  * Recommend that xcas-doc uses the same version of xcas.
  * Use HTTPS urls in various parts of the packaging.
  * Work around hanging test chk_cas on armhf.

 -- Ximin Luo <infinity0@debian.org>  Wed, 05 Sep 2018 21:31:11 -0700

giac (1.4.9.69+dfsg1-1~exp2) experimental; urgency=medium

  * Move texinfo into Build-Depends since it's needed in the arch:any build.
  * Document why we exclude certain upstream files from the orig tarball.

 -- Ximin Luo <infinity0@debian.org>  Fri, 03 Aug 2018 00:39:39 -0700

giac (1.4.9.69+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Thu, 02 Aug 2018 02:33:00 -0700

giac (1.2.3.57+dfsg1-2) unstable; urgency=medium

  * Fix shell syntax typo, fixes the doc build.

 -- Ximin Luo <infinity0@debian.org>  Fri, 21 Jul 2017 20:58:30 +0200

giac (1.2.3.57+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Fix build for machines that have 48-bit virtual addresses. Thanks to Edmund
    Grimley Evans for all his help on this and other issues. (Closes: #855078)

 -- Ximin Luo <infinity0@debian.org>  Fri, 21 Jul 2017 18:19:26 +0200

giac (1.2.3.53+dfsg1-2) unstable; urgency=medium

  * Output test log after a failed test run, to investigate a ppc64el build
    failure that isn't reproducible on porterboxes.

 -- Ximin Luo <infinity0@debian.org>  Tue, 27 Jun 2017 15:19:07 +0200

giac (1.2.3.53+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Bump to latest Standards-Version; no changes required.

 -- Ximin Luo <infinity0@debian.org>  Tue, 27 Jun 2017 13:00:38 +0200

giac (1.2.3.25+dfsg1-4) unstable; urgency=medium

  * Split arch-dependent vs -independent builds to try to avoid failures
    building the documentation on some architectures.

 -- Ximin Luo <infinity0@debian.org>  Tue, 20 Jun 2017 20:35:32 +0200

giac (1.2.3.25+dfsg1-3) unstable; urgency=medium

  * Add missing depends from libgiac-dev on libgiac0. (Closes: #856949)

 -- Ximin Luo <infinity0@debian.org>  Sat, 11 Mar 2017 17:33:52 +0100

giac (1.2.3.25+dfsg1-2) unstable; urgency=medium

  * Fix arch-dep builds. (Closes: #855076)

 -- Ximin Luo <infinity0@debian.org>  Wed, 15 Feb 2017 20:15:55 +0100

giac (1.2.3.25+dfsg1-1) unstable; urgency=low

  [ Gilles Filippini ]
  * Initial release.

  [ Ximin Luo ]
  * New upstream release. (Closes: #783975)

 -- Ximin Luo <infinity0@debian.org>  Sun, 12 Feb 2017 16:47:53 +0100
